Subject: bug#17453: Isearch doesn't work properly with Follow Mode.

From: Artur Malabarba <[email-masked]>
Date: Mon, 2 Nov 2015 19:18:37 +0000

2015-11-02 16:35 GMT+00:00 Drew Adams <[email-masked]>:
>> one of features of that follow--search-function function is to make
>> sure that highlighting doesn't stop `window-end' (solving (1)).
>
> I believe this was already taken care of by work that Juri did recently.
> I don't have time to look this up now, but see recent bug reports.

I ran a git log on isearch.el and I think you're referring to this change:

10ec0468dfbc0815a772cc46a031aca298af0985 Lazy-highlight the whole
string at point (debbugs:19353)

If so, that's just about extending the bound a little bit to ensure it
holds a whole symbol. follow-mode actually needs to extend the bound a
lot more (up 'till the `window-end' of the last window in the group).